> ## Documentation Index
> Fetch the complete documentation index at: https://docs.littledemo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit balance, packs, and recent transactions

` GET /api/v1/credits `

Get credit balance, packs, and recent transactions

## Servers

- ` https://littledemo.com ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` bearerAuth `: ` http `

  - HTTP scheme: ` bearer `

  - Live API key, for example `Authorization: Bearer ld_live_...`.

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Dashboard session cookie.

## Responses

### ` 200 ` — Credit account summary

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` balance `, ` packs `, ` autoTopoff `, ` recentTransactions `

  - ` balance `: type ` number `

  - ` packs `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` id `, ` credits `, ` price `, ` perCredit `, ` savings `, ` label `

      - ` id `: type ` string `

        - enum: ` ["5","20","50","100"] `

      - ` credits `: type ` number `

      - ` price `: type ` number `

      - ` perCredit `: type ` number `

      - ` savings `: type ` number `

      - ` label `: type ` string `

      - ` popular `: type ` boolean `

  - ` autoTopoff `: type ` object `

    - Required fields: ` enabled `, ` packId `

    - ` enabled `: type ` boolean `

    - ` packId `: type ` string `

      - enum: ` ["5","20","50","100"] `

  - ` recentTransactions `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` id `, ` user_id `, ` type `, ` amount `, ` balance_after `, ` pack_id `, ` description `, ` created_at `

      - ` id `: type ` string `

      - ` user_id `: type ` string `

      - ` type `: type ` string `

        - enum: ` ["purchase","auto_topoff","deduct","refund","bonus"] `

      - ` amount `: type ` number `

      - ` balance_after `: type ` number `

      - ` pack_id `: type ` string `; nullable

      - ` description `: type ` string `; nullable

      - ` created_at `: type ` string `

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://littledemo.com/api/v1/credits' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://littledemo.com/api/v1/credits', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://littledemo.com/api/v1/credits', headers=headers)
print(response.json())
```